import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToToshibaZmodeSensorType Converter")

class GenericToToshibaZmodeSensorType(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "None":
            res = "Continuous media"
        elif args[0] == "Gap":
            res = "Non-continuous media web sensing"
        elif args[0] == "Mark":
            res = "Non-continuous media mark sensing"
        return res




plugin = GenericToToshibaZmodeSensorType("GenericToToshibaZmodeSensorType")

store.AddConverter(plugin)